#!/bin/bash
###########
# Script untuk melakukan installasi wakedown
# Oleh : Andrian Dion P. <andrew_dion04@ugm.ac.id>
#        Yuda Nugrahadi <nugrahadi@ugm.ac.id>
# 	 
#
# (C) 2008 GPL v2

## Make sure only root can run our script
if [[ $EUID -ne 0 ]]; then
   gksudo bash $0
   exit 1
fi

### Install wakedown client
if `ls /etc/ | grep -q rc.local.bak`; then
	$(exit 0)
	else
	mv -v socket-server.py /root/ >> /tmp/logInstallwakedown
	cp /etc/rc.local /etc/rc.local.bak >> /tmp/logInstallwakedown
	echo "#!/bin/sh -e" > /etc/rc.local
	echo "#" >> /etc/rc.local
	echo "/usr/bin/python /root/socket-server.py" >> /etc/rc.local
	echo "" >> /etc/rc.local
	echo "exit 0" >> /etc/rc.local
fi
